using Exferia_Aplicacion.General;
using Exferia_EntityFramework;
using Exferia_KairosPRO_EF;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Exferia_KairosPRO._1_Modelos
{
    public class INTERNO_KRS_PerfilesCabecera_Listado_Modelo : KRS_PerfilesCabecera
    {
        public INTERNO_KRS_PerfilesCabecera_Listado_Modelo()
        { }

        public string Ejercicio
        {
            get
            {
                string str_Aux = "";

                try
                {
                    if (Variables.G_MDL_INTERNO_VALORESGENERALES_MODELO.Ejercicios_Listado!=null &&
                        Variables.G_MDL_INTERNO_VALORESGENERALES_MODELO.Ejercicios_Listado.Count>0)
                    {
                        GEN_EjerciciosActivos_Empresa mdl_GEN_EjerciciosActivos_Empresa =Variables.G_MDL_INTERNO_VALORESGENERALES_MODELO.Ejercicios_Listado.Where(m => m.id.Equals(idEjercicio)).FirstOrDefault();
                        if (mdl_GEN_EjerciciosActivos_Empresa != null)
                        {
                            str_Aux = mdl_GEN_EjerciciosActivos_Empresa.anioControl;
                        }
                    }
                }
                catch (Exception)
                { }

                return str_Aux;
            }
        }
    }
}
